# $Revision: 1.28 $, $Date: 2009/06/18 10:33:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Table
Summary:	Data::Table - data type related to database tables, spreadsheets, etc
Summary(pl.UTF-8):	Data::Table - typ danych dotyczący tabel bazodanowych, arkuszy kalkulacyjnych itp.
Name:		perl-Data-Table
Version:	1.54
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2f78a93b0c144d98a4a76b66346b8294
URL:		http://www.geocities.com/easydatabase/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This perl package uses perl5 objects to make it easy for manipulating
spreadsheet data among disk files, database, and Web publishing.

A table object contains a header and a two-dimensional array of
scalars. Three class methods allow users to create a table object from
a CSV/TSV file or a database SQL selection in a snap.

Table methods provide basic access, add, delete row(s) or column(s)
operations, as well as more advanced sub-table extraction, table
sorting, record matching via keywords or patterns, table merging, and
web publishing.

%description -l pl.UTF-8
Ten pakiet perlowy używa obiektów Perla 5, aby ułatwić manipulowanie
danymi arkuszy kalkulacyjnych w plikach na dysku, bazach danych i
publikacjach WWW.

Obiekt tabeli zawiera nagłówek i dwuwymiarową tablicę skalarów. Trzy
metody klasy pozwalają użytkownikom tworzyć obiekt tabeli z pliku
CSV/TSV lub wyniku zapytania z bazy danych SQL.

Metody tabeli umożliwiają podstawowe operacje dostępu, dodawania i
usuwania wierszy i kolumn, nieco bardziej zaawansowane wyciąganie
podtabel, sortowanie tabel, dopasowywanie rekordów po słowach
kluczowych lub wzorcach, łączenie tabel oraz publikowanie na WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# empty autosplit.ix
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/auto/Data/Table/autosplit.ix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Table.spec,v $
Revision 1.28  2009/06/18 10:33:52  amateja
- updated to 1.54

Revision 1.27  2007/12/23 23:04:57  zbyniu
- up to 1.52

Revision 1.26  2007-07-16 12:07:09  agaran
- up to 1.50, builds here

Revision 1.25  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.23  2006/07/27 16:28:23  glen
- 1.47

Revision 1.22  2005/01/24 12:58:26  agaran
- correct md5sum? (this one works for me)

Revision 1.21  2004/11/10 22:07:20  blaass
- updated to 1.43

Revision 1.20  2004/11/03 22:30:17  paladine
- formatting

Revision 1.19  2004/11/01 22:14:37  adamg
- updated to 1.42

Revision 1.18  2004/05/06 18:43:09  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/19 22:22:13  ankry
- license/description fixes

Revision 1.16  2003/10/31 21:44:50  qboosh
- updated to 0.40, new-style bcond

Revision 1.15  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/06/10 14:54:05  qboosh
- up to 1.39 (merged from RA-branch), release 2

Revision 1.12  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:05:15  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:31:14  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.4  2002/09/26 15:07:35  ankry
- version 1.36, release 1
- removed empty autosplit.ix

Revision 1.3  2002/09/18 21:00:57  ankry
- added autosplit.ix
- release 3

Revision 1.2  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 09:06:42  radek
- new, STBR
